{{ $page := .page }}
{{ $site := .site }}
{{ $global := .global }}
{{ $hideChildren := .hideChildren }}

{{ range .menu }}
    {{ $is := $page.IsMenuCurrent "main" . }}
    {{ $has := $page.HasMenuCurrent "main" . }}
    {{ if $is }} 
        
        {{ if and (.HasChildren) ( not $hideChildren ) }}

            <div class="row">
                <div class="col-md-7 col-md-offset-1 content-column">
                    {{ $page.Content }}{{ $global.Scratch.Set "shown" true }}
                </div>
                <div class="col-md-3 in-page-nav">
                    {{ partial "in-page-nav" (dict "menu" .Children "site" $site) }}
                </div>
            </div>
        {{ else }}
            <div class="row">
                <div class="col-md-10 col-md-offset-1">
                    {{ $page.Content }}{{ $global.Scratch.Set "shown" true }}
                </div>
            </div>
        {{ end }}

    {{ else }}
        {{ if .HasChildren }}
            {{ if .HasChildren }}
                {{ if or $is $has }}
                    {{ partial "page-and-subnav.html" (dict "menu" .Children "page" $page "site" $site "hideChildren" $hideChildren "global" $global ) }}
                {{ end }}
            {{ end }}
        {{ end }}
    {{ end }}
{{ end }}

{{ if not ($global.Scratch.Get "shown") }}
<div class="row">
    <div class="col-md-10 col-md-offset-1">        
        {{ $page.Content }}{{ $global.Scratch.Set "shown" true }}
    </div>
</div>
{{ end }}

